#ifndef RFM12_MODUL_H
#define RFM12_MODUL_H

#include "sensoren.h"
#define ERR_TIMEOUT 1
#define ERR_PACKLEN 2
#define ERR_CHKSUM  3
void rfm12_init(void);
uchar rfm12_empfang(uchar *data);
void rfm12_senden(uchar *data);
void rfm12_setfreq(unsigned short freq);							// set center frequency
void rfm12_setbaud(unsigned short baud);							// set baudrate
void rfm12_setpower(unsigned char power, unsigned char mod);		// set transmission settings
void rfm12_setbandwidth(unsigned char bandwidth, unsigned char gain, unsigned char drssi);	// set receiver settings

#endif

// which frequency to use
//#define FREQ433
#define FREQ868

// macro for calculating frequency value out of frequency in MHz
#ifdef FREQ433
	#define RF12FREQ(freq)	((freq-430.0)/0.0025)							
#elif defined FREQ868
	#define RF12FREQ(freq)	((freq-860.0)/0.005)
#endif
